sam-ba.exe \usb\ARM0 at91sam3sd8-ek demo-sam3sek2.tcl 1>logfile.log 2>&1

@ECHO OFF
setlocal enabledelayedexpansion

set "var1=fsutil fsinfo drives"

::Get local disk drives list
for /f "delims=" %%i in ('%var1%^|find /v ""') do (
  set dr=%%i
  set /a oldsize+=1 
  call set "oldlist=%%oldlist%%!dr:~-3,1!"
)
echo.
echo local disk drives list is %oldlist%

echo WARNING: do not plug any USB key until EK board
echo          is recognized as a removable disk
echo wait for EK board connection via USB ...

set /a count=0
:Retry
set "newlist="
set /a newsize=0
::Get new drives list
for /f "delims=" %%i in ('%var1%^|find /v ""') do (  
  set dr=%%i
  set /a newsize+=1 
  call set "newlist=%%newlist%%!dr:~-3,1!"
)
IF %newsize% GTR %oldsize% (
    echo "Detect new drive(s)!"    
    GOTO DetectNew
)
IF %newsize% LSS %oldsize% (
    echo "Lose drive(s)!"
    set /a oldsize=%newsize% 
    set oldlist=%newlist%
    echo.
)
ping -n 3 127.0.0.1 >nul
set /a count=%count%+1
IF %count% GTR 100 (
    echo "Cannot find removable disk in 5 minutes, aborted!"
    goto out
)
goto Retry

:DetectNew
echo new drives list is %newlist%
for /l %%i in (1,1,%oldsize%) do (
  set ch1=!oldlist:~0,1!
  set ch2=!newlist:~0,1!
  if not "!ch2!"=="!ch1!" goto Last
  set "oldlist=!oldlist:~1!"
  set "newlist=!newlist:~1!"
)
set ch2=!newlist:~0,1!
:Last
echo the new detected disk is %ch2%
echo.

format %ch2%: /FS:FAT32 /X /Y
DEL .\logfile.log

COPY /V /Y ..\autorun.inf %ch2%:\
COPY /V /Y ..\cd.ico %ch2%:\
COPY /V /Y ..\welcome.html %ch2%:\
XCOPY /E /C /H /R /K /Y ..\Demo\* %ch2%:\Demo\
XCOPY /E /C /H /R /K /Y ..\html\* %ch2%:\html\


:out
set count=
echo Hit any key to exit &&pause>nul&&exit
